For the complete documentation index, see llms.txt. This page is also available as Markdown.

Wallet

How to use Wallet to submit a payin in Peru.

Payin by Wallet

POST https://gateway-test.pagsmile.com/trade/pay

This endpoint allows you to submit a payin by Wallet.

Headers

Name
Type
Description

Content-Type*

string

application/json; chartset=UTF-8

Authorization*

string

Basic Base($app_id:$security_key)

Request Body

Name
Type
Description

app_id*

string

App ID created in the Pagsmile dashboard. Max length: 32 characters.

out_trade_no*

string

Unique order ID generated by the merchant. Max length: 64 characters.

method*

string

Fixed value: Wallet.

channel*

string

Wallet type. One of: Plin, Yape.

order_amount*

string

Payment amount. Check the transaction limits for details.

order_currency*

string

Fixed value: PEN.

subject*

string

Payment reason or item title. Max length: 128 characters.

content

string

Payment reason details or item details. Max length: 255 characters.

notify_url*

string

URL where Pagsmile will send payment notifications.

return_url

string

URL to redirect the user to after checkout is completed.

buyer_id*

string

Merchant user's ID.

timestamp*

string

Request timestamp in yyyy-MM-dd HH:mm:ss format. Max length: 19 characters.

customer.name*

string

User's full name.

customer.identify.type*

string

User's identification type. One of: DNI, RUC.

customer.identify.number*

string

User's identification number. Use 8 digits for DNI or 11 digits for RUC.

customer.email*

string

User's email address.

Payment Tips

  • For wallet Yape and wallet Plin, the mobile user can upload a screenshot of the QR code to pay.

Example

Note: 162************38 is pagsmile's test app id for sandbox, and MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ== is authorization token associated with the test app id.

Last updated